# This file created by conda-build 3.10.9+36.gd10dbde.dirty
# meta.yaml template originally from:
# /home/rdonnelly/conda/aggregate/pynio-feedstock/recipe, last modified Sat Jul  7 10:17:35 2018
# ------------------------------------------------

package:
    name: pynio
    version: 1.5.0
source:
    patches:
        - 0001-iconv-is-not-needed-on-linux.patch
        - test_opendap2_url.patch
    sha256: e2bae6469541662835a7d13aa0185b73b13df56c2de6ce6f8e74cb17ba9a6143
    url: https://github.com/NCAR/pynio/archive/1.5.0.tar.gz
build:
    number: '1'
    string: py27h546be6d_1
requirements:
    build:
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 had2808c_27
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 h550dcbe_27
        - gfortran_impl_linux-64 7.2.0 hdf63c60_3
        - gfortran_linux-64 7.2.0 h550dcbe_27
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 h550dcbe_27
        - libgfortran-ng 7.2.0 hdf63c60_3
        - libstdcxx-ng 7.2.0 hdf63c60_3
    host:
        - blas 1.0 mkl
        - bzip2 1.0.6 h14c3975_5
        - ca-certificates 2018.03.07 0
        - cairo 1.14.12 h8948797_3
        - curl 7.60.0 h84994c4_0
        - expat 2.2.5 he0dffb1_0
        - fontconfig 2.13.0 h9420a91_0
        - freeglut 3.0.0 hf484d3e_5
        - freetype 2.9.1 h8a8886c_0
        - freexl 1.0.5 h14c3975_0
        - g2clib 1.6.0 h8a8886c_5
        - geos 3.6.2 heeff764_2
        - giflib 5.1.4 h14c3975_1
        - glib 2.56.1 h000015b_0
        - hdf4 4.2.13 h3ca952b_2
        - hdf5 1.10.2 hba1933b_1
        - hdfeos2 2.20 h64bfcee_0
        - icu 58.2 h9c2bf20_1
        - intel-openmp 2018.0.3 0
        - jasper 2.0.14 h07fcdf6_1
        - jpeg 9b h024ee3a_2
        - json-c 0.13.1 h1bed415_0
        - kealib 1.4.7 h77bc034_6
        - krb5 1.16.1 hc83ff2d_6
        - libboost 1.67.0 h46d08c1_4
        - libcurl 7.60.0 h1ad7b7a_0
        - libdap4 3.19.0 h6ec2957_2
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 hdf63c60_3
        - libgdal 2.2.4 h6f639c0_1
        - libgfortran-ng 7.2.0 hdf63c60_3
        - libglu 9.0.0 hf484d3e_1
        - libkml 1.3.0 h590aaf7_4
        - libnetcdf 4.6.1 h13459d8_0
        - libpng 1.6.34 hb9fc6fc_0
        - libpq 10.3 h1ad7b7a_0
        - libspatialite 4.3.0a he475c7f_19
        - libssh2 1.8.0 h9cfc8f7_4
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - libtiff 4.0.9 he85c1e1_1
        - libuuid 1.0.3 h1bed415_2
        - libxcb 1.13 h1bed415_1
        - libxml2 2.9.8 h26e45fe_1
        - mkl 2018.0.3 1
        - ncurses 6.1 hf484d3e_0
        - numpy 1.11.3 py27h1b885b7_8
        - numpy-base 1.11.3 py27hdbf6ddf_8
        - openjpeg 2.3.0 h05c96fa_1
        - openssl 1.0.2o h20670df_0
        - pcre 8.42 h439df22_0
        - pixman 0.34.0 hceecf20_3
        - poppler 0.65.0 h581218d_1
        - poppler-data 0.4.9 0
        - proj4 5.0.1 h14c3975_0
        - python 2.7.15 h1571d57_0
        - readline 7.0 ha6073c6_4
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 hc745277_3
        - xerces-c 3.2.1 hac72e42_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
    run:
        - g2clib >=1.6.0,<1.7.0a0
        - hdf4 >=4.2.13,<4.2.14.0a0
        - hdf5 >=1.10.2,<1.10.3.0a0
        - jasper >=2.0.14,<3.0a0
        - libgcc-ng >=7.2.0
        - libgdal >=2.2.4,<2.3.0a0
        - libgfortran-ng >=7,<8.0a0
        - libnetcdf >=4.6.1,<5.0a0
        - libpng >=1.6.34,<1.7.0a0
        - libstdcxx-ng >=7.2.0
        - numpy >=1.11.3,<2.0a0
        - proj4 >=5.0.1,<5.0.2.0a0
        - python >=2.7,<2.8.0a0
test:
    commands:
        - cd $SRC_DIR/test && nosetests
        - conda inspect linkages -p $PREFIX pynio
    imports:
        - Nio
    requires:
        - nose
about:
    home: http://www.pyngl.ucar.edu/Nio.shtml
    license: BSD 3-clause
    summary: PyNIO is a multi-format data I/O package with a NetCDF-style interface.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - david-ian-brown
        - jhamman
        - khallock
        - marylhaley
        - ocefpaf
